profile
viewpoint
nevesnunes https://nevesnunes.github.io/blog yes 'printf \\xe2\\x95\\xb$[1+RANDOM%2]'|bash

nevesnunes/sh-manpage-completions 37

Generate bash/zsh completions from man pages

nevesnunes/mid 2

Extract images from links

nevesnunes/Beamer-IST 1

LaTeX Beamer template for IST presentations

nevesnunes/env 1

cheatsheets, dotfiles, scripts...

nevesnunes/jmp 1

TUI Window Switcher

nevesnunes/aggregables 0

Snippets and scripts to parse and manipulate data patterns

nevesnunes/blog 0

Debugging sessions and other technical writeups

nevesnunes/call-explorer 0

Language agnostic path finding between source and target function calls

startednevesnunes/sh-manpage-completions

started time in 5 days

startednevesnunes/sh-manpage-completions

started time in 12 days

startednevesnunes/sh-manpage-completions

started time in 19 days

startednevesnunes/sh-manpage-completions

started time in 19 days

delete branch nevesnunes/WCAG-Terminal-Checker

delete branch : dependabot/npm_and_yarn/lodash-4.17.20

delete time in 2 months

PR closed nevesnunes/WCAG-Terminal-Checker

Bump lodash from 4.17.15 to 4.17.20 dependencies

Bumps lodash from 4.17.15 to 4.17.20. <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/lodash/lodash/commit/ded9bc66583ed0b4e3b7dc906206d40757b4a90a"><code>ded9bc6</code></a> Bump to v4.17.20.</li> <li><a href="https://github.com/lodash/lodash/commit/63150ef7645ac07961b63a86490f419f356429aa"><code>63150ef</code></a> Documentation fixes.</li> <li><a href="https://github.com/lodash/lodash/commit/00f0f62a979d2f5fa0287c06eae70cf9a62d8794"><code>00f0f62</code></a> test.js: Remove trailing comma.</li> <li><a href="https://github.com/lodash/lodash/commit/846e434c7a5b5692c55ebf5715ed677b70a32389"><code>846e434</code></a> Temporarily use a custom fork of <code>lodash-cli</code>.</li> <li><a href="https://github.com/lodash/lodash/commit/5d046f39cbd27f573914768e3b36eeefcc4f1229"><code>5d046f3</code></a> Re-enable Travis tests on <code>4.17</code> branch.</li> <li><a href="https://github.com/lodash/lodash/commit/aa816b36d402a1ad9385142ce7188f17dae514fd"><code>aa816b3</code></a> Remove <code>/npm-package</code>.</li> <li><a href="https://github.com/lodash/lodash/commit/d7fbc52ee0466a6d248f047b5d5c3e6d1e099056"><code>d7fbc52</code></a> Bump to v4.17.19</li> <li><a href="https://github.com/lodash/lodash/commit/2e1c0f22f425e9c013815b2cd7c2ebd51f49a8d6"><code>2e1c0f2</code></a> Add npm-package</li> <li><a href="https://github.com/lodash/lodash/commit/1b6c282299f4e0271f932b466c67f0f822aa308e"><code>1b6c282</code></a> Bump to v4.17.18</li> <li><a href="https://github.com/lodash/lodash/commit/a370ac81408de2da77a82b3c4b61a01a3b9c2fac"><code>a370ac8</code></a> Bump to v4.17.17</li> <li>Additional commits viewable in <a href="https://github.com/lodash/lodash/compare/4.17.15...4.17.20">compare view</a></li> </ul> </details> <details> <summary>Maintainer changes</summary> <p>This version was pushed to npm by <a href="https://www.npmjs.com/~bnjmnt4n">bnjmnt4n</a>, a new releaser for lodash since your current version.</p> </details> <br />

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
  • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
  • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
  • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
  • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language

You can disable automated security fix PRs for this repo from the Security Alerts page.

</details>

+3 -3

1 comment

1 changed file

dependabot[bot]

pr closed time in 2 months

pull request commentnevesnunes/WCAG-Terminal-Checker

Bump lodash from 4.17.15 to 4.17.20

Looks like lodash is up-to-date now, so this is no longer needed.

dependabot[bot]

comment created time in 2 months

PR opened nevesnunes/WCAG-Terminal-Checker

Bump lodash from 4.17.15 to 4.17.20

Bumps lodash from 4.17.15 to 4.17.20. <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/lodash/lodash/commit/ded9bc66583ed0b4e3b7dc906206d40757b4a90a"><code>ded9bc6</code></a> Bump to v4.17.20.</li> <li><a href="https://github.com/lodash/lodash/commit/63150ef7645ac07961b63a86490f419f356429aa"><code>63150ef</code></a> Documentation fixes.</li> <li><a href="https://github.com/lodash/lodash/commit/00f0f62a979d2f5fa0287c06eae70cf9a62d8794"><code>00f0f62</code></a> test.js: Remove trailing comma.</li> <li><a href="https://github.com/lodash/lodash/commit/846e434c7a5b5692c55ebf5715ed677b70a32389"><code>846e434</code></a> Temporarily use a custom fork of <code>lodash-cli</code>.</li> <li><a href="https://github.com/lodash/lodash/commit/5d046f39cbd27f573914768e3b36eeefcc4f1229"><code>5d046f3</code></a> Re-enable Travis tests on <code>4.17</code> branch.</li> <li><a href="https://github.com/lodash/lodash/commit/aa816b36d402a1ad9385142ce7188f17dae514fd"><code>aa816b3</code></a> Remove <code>/npm-package</code>.</li> <li><a href="https://github.com/lodash/lodash/commit/d7fbc52ee0466a6d248f047b5d5c3e6d1e099056"><code>d7fbc52</code></a> Bump to v4.17.19</li> <li><a href="https://github.com/lodash/lodash/commit/2e1c0f22f425e9c013815b2cd7c2ebd51f49a8d6"><code>2e1c0f2</code></a> Add npm-package</li> <li><a href="https://github.com/lodash/lodash/commit/1b6c282299f4e0271f932b466c67f0f822aa308e"><code>1b6c282</code></a> Bump to v4.17.18</li> <li><a href="https://github.com/lodash/lodash/commit/a370ac81408de2da77a82b3c4b61a01a3b9c2fac"><code>a370ac8</code></a> Bump to v4.17.17</li> <li>Additional commits viewable in <a href="https://github.com/lodash/lodash/compare/4.17.15...4.17.20">compare view</a></li> </ul> </details> <details> <summary>Maintainer changes</summary> <p>This version was pushed to npm by <a href="https://www.npmjs.com/~bnjmnt4n">bnjmnt4n</a>, a new releaser for lodash since your current version.</p> </details> <br />

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
  • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
  • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
  • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
  • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language

You can disable automated security fix PRs for this repo from the Security Alerts page.

</details>

+3 -3

0 comment

1 changed file

pr created time in 2 months

delete branch nevesnunes/blog

delete branch : dependabot/bundler/nokogiri-1.10.10

delete time in 2 months

PR closed nevesnunes/blog

Bump nokogiri from 1.10.4 to 1.10.10 dependencies

Bumps nokogiri from 1.10.4 to 1.10.10. <details> <summary>Release notes</summary> <p><em>Sourced from <a href="https://github.com/sparklemotion/nokogiri/releases">nokogiri's releases</a>.</em></p> <blockquote> <h2>1.10.10 / 2020-07-06</h2> <h3>Features</h3> <ul> <li>[MRI] Cross-built Windows gems now support Ruby 2.7 [<a href="https://github-redirect.dependabot.com/sparklemotion/nokogiri/issues/2029">#2029</a>]. Note that prior to this release, the v1.11.x prereleases provided this support.</li> </ul> <h2>1.10.9 / 2020-03-01</h2> <h3>Fixed</h3> <ul> <li>[MRI] Raise an exception when Nokogiri detects a specific libxml2 edge case involving blank Schema nodes wrapped by Ruby objects that would cause a segfault. Currently no fix is available upstream, so we're preventing a dangerous operation and informing users to code around it if possible. [<a href="https://github-redirect.dependabot.com/sparklemotion/nokogiri/issues/1985">#1985</a>, <a href="https://github-redirect.dependabot.com/sparklemotion/nokogiri/issues/2001">#2001</a>]</li> <li>[JRuby] Change <code>NodeSet#to_a</code> to return a RubyArray instead of Object, for compilation under JRuby 9.2.9 and later. [<a href="https://github-redirect.dependabot.com/sparklemotion/nokogiri/issues/1968">#1968</a>, <a href="https://github-redirect.dependabot.com/sparklemotion/nokogiri/issues/1969">#1969</a>] (Thanks, <a href="https://github.com/headius">@headius</a>!)</li> </ul> <h2>1.10.8 / 2020-02-10</h2> <h3>Security</h3> <p>[MRI] Pulled in upstream patch from libxml that addresses CVE-2020-7595. Full details are available in <a href="https://github-redirect.dependabot.com/sparklemotion/nokogiri/issues/1992">#1992</a>. Note that this patch is not yet (as of 2020-02-10) in an upstream release of libxml.</p> <h2>1.10.7 / 2019-12-03</h2> <h3>Bug</h3> <ul> <li>[MRI] Ensure the patch applied in v1.10.6 works with GNU <code>patch</code>. <a href="https://github-redirect.dependabot.com/sparklemotion/nokogiri/issues/1954">#1954</a></li> </ul> <h2>1.10.6 / 2019-12-03</h2> <h3>Bug</h3> <ul> <li>[MRI] Fix FreeBSD installation of vendored libxml2. [#1941, <a href="https://github-redirect.dependabot.com/sparklemotion/nokogiri/issues/1953">#1953</a>] (Thanks, <a href="https://github.com/nurse">@nurse</a>!)</li> </ul> <h2>1.10.5 / 2019-10-31</h2> <h3>Dependencies</h3> <ul> <li>[MRI] vendored libxml2 is updated from 2.9.9 to 2.9.10</li> <li>[MRI] vendored libxslt is updated from 1.1.33 to 1.1.34</li> </ul> </blockquote> </details> <details> <summary>Changelog</summary> <p><em>Sourced from <a href="https://github.com/sparklemotion/nokogiri/blob/master/CHANGELOG.md">nokogiri's changelog</a>.</em></p> <blockquote> <h2>1.10.10 / 2020-07-06</h2> <h3>Features</h3> <ul> <li>[MRI] Cross-built Windows gems now support Ruby 2.7 [<a href="https://github-redirect.dependabot.com/sparklemotion/nokogiri/issues/2029">#2029</a>]. Note that prior to this release, the v1.11.x prereleases provided this support.</li> </ul> <h2>1.10.9 / 2020-03-01</h2> <h3>Fixed</h3> <ul> <li>[MRI] Raise an exception when Nokogiri detects a specific libxml2 edge case involving blank Schema nodes wrapped by Ruby objects that would cause a segfault. Currently no fix is available upstream, so we're preventing a dangerous operation and informing users to code around it if possible. [<a href="https://github-redirect.dependabot.com/sparklemotion/nokogiri/issues/1985">#1985</a>, <a href="https://github-redirect.dependabot.com/sparklemotion/nokogiri/issues/2001">#2001</a>]</li> <li>[JRuby] Change <code>NodeSet#to_a</code> to return a RubyArray instead of Object, for compilation under JRuby 9.2.9 and later. [<a href="https://github-redirect.dependabot.com/sparklemotion/nokogiri/issues/1968">#1968</a>, <a href="https://github-redirect.dependabot.com/sparklemotion/nokogiri/issues/1969">#1969</a>] (Thanks, <a href="https://github.com/headius">@headius</a>!)</li> </ul> <h2>1.10.8 / 2020-02-10</h2> <h3>Security</h3> <p>[MRI] Pulled in upstream patch from libxml that addresses CVE-2020-7595. Full details are available in <a href="https://github-redirect.dependabot.com/sparklemotion/nokogiri/issues/1992">#1992</a>. Note that this patch is not yet (as of 2020-02-10) in an upstream release of libxml.</p> <h2>1.10.7 / 2019-12-03</h2> <h3>Fixed</h3> <ul> <li>[MRI] Ensure the patch applied in v1.10.6 works with GNU <code>patch</code>. [<a href="https://github-redirect.dependabot.com/sparklemotion/nokogiri/issues/1954">#1954</a>]</li> </ul> <h2>1.10.6 / 2019-12-03</h2> <h3>Fixed</h3> <ul> <li>[MRI] Fix FreeBSD installation of vendored libxml2. [<a href="https://github-redirect.dependabot.com/sparklemotion/nokogiri/issues/1941">#1941</a>, <a href="https://github-redirect.dependabot.com/sparklemotion/nokogiri/issues/1953">#1953</a>] (Thanks, <a href="https://github.com/nurse">@nurse</a>!)</li> </ul> <h2>1.10.5 / 2019-10-31</h2> <h3>Security</h3> <p>[MRI] Vendored libxslt upgraded to v1.1.34 which addresses three CVEs for libxslt:</p> <ul> <li>CVE-2019-13117</li> <li>CVE-2019-13118</li> <li>CVE-2019-18197</li> <li>CVE-2019-19956</li> </ul> <p>More details are available at <a href="https://github-redirect.dependabot.com/sparklemotion/nokogiri/issues/1943">#1943</a>.</p> <!-- raw HTML omitted --> </blockquote> <p>... (truncated)</p> </details> <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/sparklemotion/nokogiri/commit/a9a3717154bdb99ed6d0d785736eb471c9d6a954"><code>a9a3717</code></a> version bump to v1.10.10</li> <li><a href="https://github.com/sparklemotion/nokogiri/commit/d2d3c18a6c2db5b448381573c1248fe480198003"><code>d2d3c18</code></a> update CHANGELOG for v1.10.10</li> <li><a href="https://github.com/sparklemotion/nokogiri/commit/f0c324c1d93a2880a32dc46cf8766ff132409806"><code>f0c324c</code></a> Merge branch '2029-windows-support-for-ruby-27-on-v110x' into v1.10.x</li> <li><a href="https://github.com/sparklemotion/nokogiri/commit/c39e1b082e73557207db1468e4b567727a384579"><code>c39e1b0</code></a> Support fat binary gems for ruby-2.7</li> <li><a href="https://github.com/sparklemotion/nokogiri/commit/90916022e38fd48c3a9e3763b0f47f834261d399"><code>9091602</code></a> ci: only manage the v1.10.x pipeline on this branch</li> <li><a href="https://github.com/sparklemotion/nokogiri/commit/e2e191de387f854619bc8a3f9b39ca687fe0bf31"><code>e2e191d</code></a> version bump to v1.10.9</li> <li><a href="https://github.com/sparklemotion/nokogiri/commit/50f8fdeae4afb8582ff6347d7aa17822a1e11242"><code>50f8fde</code></a> update CHANGELOG</li> <li><a href="https://github.com/sparklemotion/nokogiri/commit/9b5deef76aeb5e3868cafb0b0956cca3708136f3"><code>9b5deef</code></a> Change return type to RubyArray</li> <li><a href="https://github.com/sparklemotion/nokogiri/commit/ae054f750283dccb1454d71dc00d0343dc2b1c60"><code>ae054f7</code></a> update CHANGELOG for <a href="https://github-redirect.dependabot.com/sparklemotion/nokogiri/issues/1985">#1985</a></li> <li><a href="https://github.com/sparklemotion/nokogiri/commit/71bcaf0bb1351c09e48f41f10314cb35bb4a4db4"><code>71bcaf0</code></a> Work around a bug in libxml2</li> <li>Additional commits viewable in <a href="https://github.com/sparklemotion/nokogiri/compare/v1.10.4...v1.10.10">compare view</a></li> </ul> </details> <br />

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
  • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
  • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
  • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
  • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language

You can disable automated security fix PRs for this repo from the Security Alerts page.

</details>

+271 -117

1 comment

26 changed files

dependabot[bot]

pr closed time in 2 months

pull request commentnevesnunes/blog

Bump nokogiri from 1.10.4 to 1.10.10

Looks like nokogiri is no longer a dependency, so this is no longer needed.

dependabot[bot]

comment created time in 2 months

delete branch nevesnunes/blog

delete branch : dependabot/bundler/json-2.3.0

delete time in 2 months

delete branch nevesnunes/blog

delete branch : dependabot/bundler/rubyzip-2.3.0

delete time in 2 months

PR closed nevesnunes/blog

Bump json from 2.2.0 to 2.3.0 dependencies

Bumps json from 2.2.0 to 2.3.0. <details> <summary>Changelog</summary> <p><em>Sourced from <a href="https://github.com/flori/json/blob/master/CHANGES.md">json's changelog</a>.</em></p> <blockquote> <h2>2019-12-11 (2.3.0)</h2> <ul> <li>Fix default of <code>create_additions</code> to always be <code>false</code> for <code>JSON(user_input)</code> and <code>JSON.parse(user_input, nil)</code>. Note that <code>JSON.load</code> remains with default <code>true</code> and is meant for internal serialization of trusted data. [CVE-2020-10663]</li> <li>Fix passing args all #to_json in json/add/*.</li> <li>Fix encoding issues</li> <li>Fix issues of keyword vs positional parameter</li> <li>Fix JSON::Parser against bigdecimal updates</li> <li>Bug fixes to JRuby port</li> </ul> </blockquote> </details> <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/flori/json/commit/92cf5c451a6ec0f3a00e291eb909e57cf38fbea4"><code>92cf5c4</code></a> v2.3.0</li> <li><a href="https://github.com/flori/json/commit/579ae85676f8a41c62ce9d2230db969ead9707bb"><code>579ae85</code></a> Add some more recent jruby</li> <li><a href="https://github.com/flori/json/commit/acabfebf14361090af1771ecc3c22b8dcb740421"><code>acabfeb</code></a> Make tests green on jruby</li> <li><a href="https://github.com/flori/json/commit/c194360ac2677fec94b05d9507e9e54871940335"><code>c194360</code></a> Update travis config</li> <li><a href="https://github.com/flori/json/commit/49317c1328fc08e6bd146164e7ef16c7cde84e0f"><code>49317c1</code></a> Ignore log files</li> <li><a href="https://github.com/flori/json/commit/d84439f522ec37119b115009d3779fed6e0fa842"><code>d84439f</code></a> Merge pull request <a href="https://github-redirect.dependabot.com/flori/json/issues/391">#391</a> from headius/prep_2.3.0</li> <li><a href="https://github.com/flori/json/commit/38f68d1e05174fa466dcabbc924d2098f0d8b824"><code>38f68d1</code></a> Bump versions for 2.3.0.</li> <li><a href="https://github.com/flori/json/commit/40524a99868ea6f29daf876c09ac539ab5b24f82"><code>40524a9</code></a> Merge pull request <a href="https://github-redirect.dependabot.com/flori/json/issues/390">#390</a> from flori/relax-test-unit</li> <li><a href="https://github.com/flori/json/commit/87379e694a103e0db18c1c8f652b0112d8239ebf"><code>87379e6</code></a> relax test-unit version for old ruby</li> <li><a href="https://github.com/flori/json/commit/05de02f4e2813e87280a408596ccc912decb277c"><code>05de02f</code></a> Merge branch 'zenspider-zenspider/ruby-2.7'</li> <li>Additional commits viewable in <a href="https://github.com/flori/json/compare/v2.2.0...v2.3.0">compare view</a></li> </ul> </details> <br />

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
  • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
  • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
  • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
  • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language

You can disable automated security fix PRs for this repo from the Security Alerts page.

</details>

+271 -117

1 comment

26 changed files

dependabot[bot]

pr closed time in 2 months

PR closed nevesnunes/blog

Bump rubyzip from 1.2.3 to 2.3.0 dependencies

Bumps rubyzip from 1.2.3 to 2.3.0. <details> <summary>Release notes</summary> <p><em>Sourced from <a href="https://github.com/rubyzip/rubyzip/releases">rubyzip's releases</a>.</em></p> <blockquote> <h2>v2.3.0</h2> <ul> <li>Fix frozen string literal error <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/431">#431</a></li> <li>Set <code>OutputStream.write_buffer</code>'s buffer to binmode <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/439">#439</a></li> <li>Upgrade rubocop and fix various linting complaints <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/437">#437</a> <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/440">#440</a></li> </ul> <p>Tooling:</p> <ul> <li>Add a <code>bin/console</code> script for development <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/420">#420</a></li> <li>Update rake requirement (development dependency only) to fix a security alert.</li> </ul> <h2>v2.2.0</h2> <ul> <li>Add support for decompression plugin gems <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/427">#427</a></li> </ul> <h2>v2.1.0</h2> <ul> <li>Fix (at least partially) the <code>restore_times</code> and <code>restore_permissions</code> options to <code>Zip::File.new</code> <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/413">#413</a> <ul> <li>Previously, neither option did anything, regardless of what it was set to. We have therefore defaulted them to <code>false</code> to preserve the current behavior, for the time being. If you have explicitly set either to <code>true</code>, it will now have an effect.</li> <li>Fix handling of UniversalTime (<code>mtime</code>, <code>atime</code>, <code>ctime</code>) fields. <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/421">#421</a></li> <li>Previously, <code>Zip::File</code> did not pass the options to <code>Zip::Entry</code> in some cases. <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/423">#423</a></li> <li>Note that <code>restore_times</code> in this release does nothing on Windows and only restores <code>mtime</code>, not <code>atime</code> or <code>ctime</code>.</li> </ul> </li> <li>Allow <code>Zip::File.open</code> to take an options hash like <code>Zip::File.new</code> <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/418">#418</a></li> <li>Always print warnings with <code>warn</code>, instead of a mix of <code>puts</code> and <code>warn</code> <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/416">#416</a></li> <li>Create temporary files in the system temporary directory instead of the directory of the zip file <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/411">#411</a></li> <li>Drop unused <code>tmpdir</code> requirement <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/411">#411</a></li> </ul> <p>Tooling</p> <ul> <li>Move CI to xenial and include jruby on JDK11 <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/419/files">#419</a></li> </ul> <h2>v2.0.0</h2> <p>Security</p> <ul> <li>Default the <code>validate_entry_sizes</code> option to <code>true</code>, so that callers can trust an entry's reported size when using <code>extract</code> <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/403">#403</a> <ul> <li>This option defaulted to <code>false</code> in 1.3.0 for backward compatibility, but it now defaults to <code>true</code>. If you are using an older version of ruby and can't yet upgrade to 2.x, you can still use 1.3.0 and set the option to <code>true</code>.</li> </ul> </li> </ul> <p>Tooling / Documentation</p> <ul> <li>Remove test files from the gem to avoid problems with antivirus detections on the test files <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/405">#405</a> / <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/issues/384">#384</a></li> <li>Drop support for unsupported ruby versions <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/406">#406</a></li> </ul> <h2>v1.3.0</h2> <p>Security</p> <ul> <li>Add <code>validate_entry_sizes</code> option so that callers can trust an entry's reported size when using <code>extract</code> <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/403">#403</a> <ul> <li>This option defaults to <code>false</code> for backward compatibility in this release, but you are strongly encouraged to set it to <code>true</code>. It will default to <code>true</code> in rubyzip 2.0.</li> </ul> </li> </ul> <p>New Feature</p> <ul> <li>Add <code>add_stored</code> method to simplify adding entries without compression <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/366">#366</a></li> </ul> <p>Tooling / Documentation</p> <!-- raw HTML omitted --> </blockquote> <p>... (truncated)</p> </details> <details> <summary>Changelog</summary> <p><em>Sourced from <a href="https://github.com/rubyzip/rubyzip/blob/master/Changelog.md">rubyzip's changelog</a>.</em></p> <blockquote> <h1>2.3.0 (2020-03-14)</h1> <ul> <li>Fix frozen string literal error <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/431">#431</a></li> <li>Set <code>OutputStream.write_buffer</code>'s buffer to binmode <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/439">#439</a></li> <li>Upgrade rubocop and fix various linting complaints <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/437">#437</a> <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/440">#440</a></li> </ul> <p>Tooling:</p> <ul> <li>Add a <code>bin/console</code> script for development <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/420">#420</a></li> <li>Update rake requirement (development dependency only) to fix a security alert.</li> </ul> <h1>2.2.0 (2020-02-01)</h1> <ul> <li>Add support for decompression plugin gems <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/427">#427</a></li> </ul> <h1>2.1.0 (2020-01-25)</h1> <ul> <li>Fix (at least partially) the <code>restore_times</code> and <code>restore_permissions</code> options to <code>Zip::File.new</code> <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/413">#413</a> <ul> <li>Previously, neither option did anything, regardless of what it was set to. We have therefore defaulted them to <code>false</code> to preserve the current behavior, for the time being. If you have explicitly set either to <code>true</code>, it will now have an effect.</li> <li>Fix handling of UniversalTime (<code>mtime</code>, <code>atime</code>, <code>ctime</code>) fields. <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/421">#421</a></li> <li>Previously, <code>Zip::File</code> did not pass the options to <code>Zip::Entry</code> in some cases. <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/423">#423</a></li> <li>Note that <code>restore_times</code> in this release does nothing on Windows and only restores <code>mtime</code>, not <code>atime</code> or <code>ctime</code>.</li> </ul> </li> <li>Allow <code>Zip::File.open</code> to take an options hash like <code>Zip::File.new</code> <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/418">#418</a></li> <li>Always print warnings with <code>warn</code>, instead of a mix of <code>puts</code> and <code>warn</code> <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/416">#416</a></li> <li>Create temporary files in the system temporary directory instead of the directory of the zip file <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/411">#411</a></li> <li>Drop unused <code>tmpdir</code> requirement <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/411">#411</a></li> </ul> <p>Tooling</p> <ul> <li>Move CI to xenial and include jruby on JDK11 <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/419/files">#419</a></li> </ul> <h1>2.0.0 (2019-09-25)</h1> <p>Security</p> <ul> <li>Default the <code>validate_entry_sizes</code> option to <code>true</code>, so that callers can trust an entry's reported size when using <code>extract</code> <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/403">#403</a> <ul> <li>This option defaulted to <code>false</code> in 1.3.0 for backward compatibility, but it now defaults to <code>true</code>. If you are using an older version of ruby and can't yet upgrade to 2.x, you can still use 1.3.0 and set the option to <code>true</code>.</li> </ul> </li> </ul> <p>Tooling / Documentation</p> <ul> <li>Remove test files from the gem to avoid problems with antivirus detections on the test files <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/405">#405</a> / <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/issues/384">#384</a></li> <li>Drop support for unsupported ruby versions <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/406">#406</a></li> </ul> <h1>1.3.0 (2019-09-25)</h1> <p>Security</p> <ul> <li>Add <code>validate_entry_sizes</code> option so that callers can trust an entry's reported size when using <code>extract</code> <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/403">#403</a> <ul> <li>This option defaults to <code>false</code> for backward compatibility in this release, but you are strongly encouraged to set it to <code>true</code>. It will default to <code>true</code> in rubyzip 2.0.</li> </ul> </li> </ul> <!-- raw HTML omitted --> </blockquote> <p>... (truncated)</p> </details> <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/rubyzip/rubyzip/commit/3bc55a5d9880827ddca76de41004b5a82eb7642e"><code>3bc55a5</code></a> Merge pull request <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/issues/443">#443</a> from rubyzip/v2-3-0</li> <li><a href="https://github.com/rubyzip/rubyzip/commit/69186f65cdaa69a46e32ab81661376d648f61566"><code>69186f6</code></a> Bump version to 2.3.0</li> <li><a href="https://github.com/rubyzip/rubyzip/commit/516941bec56fbceaed8e75887247b74b97cbf341"><code>516941b</code></a> Update changelog for <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/issues/439">#439</a> and <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/issues/440">#440</a></li> <li><a href="https://github.com/rubyzip/rubyzip/commit/a64a14767dd458f8da6107721a428aa5e2b3f5c9"><code>a64a147</code></a> Bump rake version (development dependency)</li> <li><a href="https://github.com/rubyzip/rubyzip/commit/4c789c28212f38216a88982ce52f0992b1853805"><code>4c789c2</code></a> Remove unused constant from <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/issues/439">#439</a></li> <li><a href="https://github.com/rubyzip/rubyzip/commit/fabacf16333eb74a98f0cfa9b5a39e8d5b129304"><code>fabacf1</code></a> Merge pull request <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/issues/440">#440</a> from hainesr/rubocop-names</li> <li><a href="https://github.com/rubyzip/rubyzip/commit/b231b289987a595171aceedb941450e8620cf314"><code>b231b28</code></a> Merge pull request <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/issues/439">#439</a> from henkeinfo/binary-outstream-buffer</li> <li><a href="https://github.com/rubyzip/rubyzip/commit/66324a711cc7311b9e022bfc0badcbbaebc7308e"><code>66324a7</code></a> Remove duplicate binmode call</li> <li><a href="https://github.com/rubyzip/rubyzip/commit/e33c07a6e757eed653b56b045b8a0ecff40c1533"><code>e33c07a</code></a> Use existing constant for ASCII_8BIT</li> <li><a href="https://github.com/rubyzip/rubyzip/commit/ce17c57e2d0d0f8c61c535a7045cbe7c0fc44a4c"><code>ce17c57</code></a> Fix Naming/AccessorMethodName in the tests.</li> <li>Additional commits viewable in <a href="https://github.com/rubyzip/rubyzip/compare/v1.2.3...v2.3.0">compare view</a></li> </ul> </details> <br />

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
  • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
  • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
  • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
  • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language

You can disable automated security fix PRs for this repo from the Security Alerts page.

</details>

+271 -117

1 comment

26 changed files

dependabot[bot]

pr closed time in 2 months

pull request commentnevesnunes/blog

Bump rubyzip from 1.2.3 to 2.3.0

Looks like rubyzip is no longer a dependency, so this is no longer needed.

dependabot[bot]

comment created time in 2 months

pull request commentnevesnunes/blog

Bump json from 2.2.0 to 2.3.0

Looks like json is up-to-date now, so this is no longer needed.

dependabot[bot]

comment created time in 2 months

PR opened nevesnunes/blog

Bump nokogiri from 1.10.4 to 1.10.10

Bumps nokogiri from 1.10.4 to 1.10.10. <details> <summary>Release notes</summary> <p><em>Sourced from <a href="https://github.com/sparklemotion/nokogiri/releases">nokogiri's releases</a>.</em></p> <blockquote> <h2>1.10.10 / 2020-07-06</h2> <h3>Features</h3> <ul> <li>[MRI] Cross-built Windows gems now support Ruby 2.7 [<a href="https://github-redirect.dependabot.com/sparklemotion/nokogiri/issues/2029">#2029</a>]. Note that prior to this release, the v1.11.x prereleases provided this support.</li> </ul> <h2>1.10.9 / 2020-03-01</h2> <h3>Fixed</h3> <ul> <li>[MRI] Raise an exception when Nokogiri detects a specific libxml2 edge case involving blank Schema nodes wrapped by Ruby objects that would cause a segfault. Currently no fix is available upstream, so we're preventing a dangerous operation and informing users to code around it if possible. [<a href="https://github-redirect.dependabot.com/sparklemotion/nokogiri/issues/1985">#1985</a>, <a href="https://github-redirect.dependabot.com/sparklemotion/nokogiri/issues/2001">#2001</a>]</li> <li>[JRuby] Change <code>NodeSet#to_a</code> to return a RubyArray instead of Object, for compilation under JRuby 9.2.9 and later. [<a href="https://github-redirect.dependabot.com/sparklemotion/nokogiri/issues/1968">#1968</a>, <a href="https://github-redirect.dependabot.com/sparklemotion/nokogiri/issues/1969">#1969</a>] (Thanks, <a href="https://github.com/headius">@headius</a>!)</li> </ul> <h2>1.10.8 / 2020-02-10</h2> <h3>Security</h3> <p>[MRI] Pulled in upstream patch from libxml that addresses CVE-2020-7595. Full details are available in <a href="https://github-redirect.dependabot.com/sparklemotion/nokogiri/issues/1992">#1992</a>. Note that this patch is not yet (as of 2020-02-10) in an upstream release of libxml.</p> <h2>1.10.7 / 2019-12-03</h2> <h3>Bug</h3> <ul> <li>[MRI] Ensure the patch applied in v1.10.6 works with GNU <code>patch</code>. <a href="https://github-redirect.dependabot.com/sparklemotion/nokogiri/issues/1954">#1954</a></li> </ul> <h2>1.10.6 / 2019-12-03</h2> <h3>Bug</h3> <ul> <li>[MRI] Fix FreeBSD installation of vendored libxml2. [#1941, <a href="https://github-redirect.dependabot.com/sparklemotion/nokogiri/issues/1953">#1953</a>] (Thanks, <a href="https://github.com/nurse">@nurse</a>!)</li> </ul> <h2>1.10.5 / 2019-10-31</h2> <h3>Dependencies</h3> <ul> <li>[MRI] vendored libxml2 is updated from 2.9.9 to 2.9.10</li> <li>[MRI] vendored libxslt is updated from 1.1.33 to 1.1.34</li> </ul> </blockquote> </details> <details> <summary>Changelog</summary> <p><em>Sourced from <a href="https://github.com/sparklemotion/nokogiri/blob/master/CHANGELOG.md">nokogiri's changelog</a>.</em></p> <blockquote> <h2>1.10.10 / 2020-07-06</h2> <h3>Features</h3> <ul> <li>[MRI] Cross-built Windows gems now support Ruby 2.7 [<a href="https://github-redirect.dependabot.com/sparklemotion/nokogiri/issues/2029">#2029</a>]. Note that prior to this release, the v1.11.x prereleases provided this support.</li> </ul> <h2>1.10.9 / 2020-03-01</h2> <h3>Fixed</h3> <ul> <li>[MRI] Raise an exception when Nokogiri detects a specific libxml2 edge case involving blank Schema nodes wrapped by Ruby objects that would cause a segfault. Currently no fix is available upstream, so we're preventing a dangerous operation and informing users to code around it if possible. [<a href="https://github-redirect.dependabot.com/sparklemotion/nokogiri/issues/1985">#1985</a>, <a href="https://github-redirect.dependabot.com/sparklemotion/nokogiri/issues/2001">#2001</a>]</li> <li>[JRuby] Change <code>NodeSet#to_a</code> to return a RubyArray instead of Object, for compilation under JRuby 9.2.9 and later. [<a href="https://github-redirect.dependabot.com/sparklemotion/nokogiri/issues/1968">#1968</a>, <a href="https://github-redirect.dependabot.com/sparklemotion/nokogiri/issues/1969">#1969</a>] (Thanks, <a href="https://github.com/headius">@headius</a>!)</li> </ul> <h2>1.10.8 / 2020-02-10</h2> <h3>Security</h3> <p>[MRI] Pulled in upstream patch from libxml that addresses CVE-2020-7595. Full details are available in <a href="https://github-redirect.dependabot.com/sparklemotion/nokogiri/issues/1992">#1992</a>. Note that this patch is not yet (as of 2020-02-10) in an upstream release of libxml.</p> <h2>1.10.7 / 2019-12-03</h2> <h3>Fixed</h3> <ul> <li>[MRI] Ensure the patch applied in v1.10.6 works with GNU <code>patch</code>. [<a href="https://github-redirect.dependabot.com/sparklemotion/nokogiri/issues/1954">#1954</a>]</li> </ul> <h2>1.10.6 / 2019-12-03</h2> <h3>Fixed</h3> <ul> <li>[MRI] Fix FreeBSD installation of vendored libxml2. [<a href="https://github-redirect.dependabot.com/sparklemotion/nokogiri/issues/1941">#1941</a>, <a href="https://github-redirect.dependabot.com/sparklemotion/nokogiri/issues/1953">#1953</a>] (Thanks, <a href="https://github.com/nurse">@nurse</a>!)</li> </ul> <h2>1.10.5 / 2019-10-31</h2> <h3>Security</h3> <p>[MRI] Vendored libxslt upgraded to v1.1.34 which addresses three CVEs for libxslt:</p> <ul> <li>CVE-2019-13117</li> <li>CVE-2019-13118</li> <li>CVE-2019-18197</li> <li>CVE-2019-19956</li> </ul> <p>More details are available at <a href="https://github-redirect.dependabot.com/sparklemotion/nokogiri/issues/1943">#1943</a>.</p> <!-- raw HTML omitted --> </blockquote> <p>... (truncated)</p> </details> <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/sparklemotion/nokogiri/commit/a9a3717154bdb99ed6d0d785736eb471c9d6a954"><code>a9a3717</code></a> version bump to v1.10.10</li> <li><a href="https://github.com/sparklemotion/nokogiri/commit/d2d3c18a6c2db5b448381573c1248fe480198003"><code>d2d3c18</code></a> update CHANGELOG for v1.10.10</li> <li><a href="https://github.com/sparklemotion/nokogiri/commit/f0c324c1d93a2880a32dc46cf8766ff132409806"><code>f0c324c</code></a> Merge branch '2029-windows-support-for-ruby-27-on-v110x' into v1.10.x</li> <li><a href="https://github.com/sparklemotion/nokogiri/commit/c39e1b082e73557207db1468e4b567727a384579"><code>c39e1b0</code></a> Support fat binary gems for ruby-2.7</li> <li><a href="https://github.com/sparklemotion/nokogiri/commit/90916022e38fd48c3a9e3763b0f47f834261d399"><code>9091602</code></a> ci: only manage the v1.10.x pipeline on this branch</li> <li><a href="https://github.com/sparklemotion/nokogiri/commit/e2e191de387f854619bc8a3f9b39ca687fe0bf31"><code>e2e191d</code></a> version bump to v1.10.9</li> <li><a href="https://github.com/sparklemotion/nokogiri/commit/50f8fdeae4afb8582ff6347d7aa17822a1e11242"><code>50f8fde</code></a> update CHANGELOG</li> <li><a href="https://github.com/sparklemotion/nokogiri/commit/9b5deef76aeb5e3868cafb0b0956cca3708136f3"><code>9b5deef</code></a> Change return type to RubyArray</li> <li><a href="https://github.com/sparklemotion/nokogiri/commit/ae054f750283dccb1454d71dc00d0343dc2b1c60"><code>ae054f7</code></a> update CHANGELOG for <a href="https://github-redirect.dependabot.com/sparklemotion/nokogiri/issues/1985">#1985</a></li> <li><a href="https://github.com/sparklemotion/nokogiri/commit/71bcaf0bb1351c09e48f41f10314cb35bb4a4db4"><code>71bcaf0</code></a> Work around a bug in libxml2</li> <li>Additional commits viewable in <a href="https://github.com/sparklemotion/nokogiri/compare/v1.10.4...v1.10.10">compare view</a></li> </ul> </details> <br />

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
  • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
  • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
  • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
  • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language

You can disable automated security fix PRs for this repo from the Security Alerts page.

</details>

+1 -1

0 comment

1 changed file

pr created time in 2 months

create barnchnevesnunes/blog

branch : dependabot/bundler/nokogiri-1.10.10

created branch time in 2 months

PR opened nevesnunes/blog

Bump json from 2.2.0 to 2.3.0

Bumps json from 2.2.0 to 2.3.0. <details> <summary>Changelog</summary> <p><em>Sourced from <a href="https://github.com/flori/json/blob/master/CHANGES.md">json's changelog</a>.</em></p> <blockquote> <h2>2019-12-11 (2.3.0)</h2> <ul> <li>Fix default of <code>create_additions</code> to always be <code>false</code> for <code>JSON(user_input)</code> and <code>JSON.parse(user_input, nil)</code>. Note that <code>JSON.load</code> remains with default <code>true</code> and is meant for internal serialization of trusted data. [CVE-2020-10663]</li> <li>Fix passing args all #to_json in json/add/*.</li> <li>Fix encoding issues</li> <li>Fix issues of keyword vs positional parameter</li> <li>Fix JSON::Parser against bigdecimal updates</li> <li>Bug fixes to JRuby port</li> </ul> </blockquote> </details> <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/flori/json/commit/92cf5c451a6ec0f3a00e291eb909e57cf38fbea4"><code>92cf5c4</code></a> v2.3.0</li> <li><a href="https://github.com/flori/json/commit/579ae85676f8a41c62ce9d2230db969ead9707bb"><code>579ae85</code></a> Add some more recent jruby</li> <li><a href="https://github.com/flori/json/commit/acabfebf14361090af1771ecc3c22b8dcb740421"><code>acabfeb</code></a> Make tests green on jruby</li> <li><a href="https://github.com/flori/json/commit/c194360ac2677fec94b05d9507e9e54871940335"><code>c194360</code></a> Update travis config</li> <li><a href="https://github.com/flori/json/commit/49317c1328fc08e6bd146164e7ef16c7cde84e0f"><code>49317c1</code></a> Ignore log files</li> <li><a href="https://github.com/flori/json/commit/d84439f522ec37119b115009d3779fed6e0fa842"><code>d84439f</code></a> Merge pull request <a href="https://github-redirect.dependabot.com/flori/json/issues/391">#391</a> from headius/prep_2.3.0</li> <li><a href="https://github.com/flori/json/commit/38f68d1e05174fa466dcabbc924d2098f0d8b824"><code>38f68d1</code></a> Bump versions for 2.3.0.</li> <li><a href="https://github.com/flori/json/commit/40524a99868ea6f29daf876c09ac539ab5b24f82"><code>40524a9</code></a> Merge pull request <a href="https://github-redirect.dependabot.com/flori/json/issues/390">#390</a> from flori/relax-test-unit</li> <li><a href="https://github.com/flori/json/commit/87379e694a103e0db18c1c8f652b0112d8239ebf"><code>87379e6</code></a> relax test-unit version for old ruby</li> <li><a href="https://github.com/flori/json/commit/05de02f4e2813e87280a408596ccc912decb277c"><code>05de02f</code></a> Merge branch 'zenspider-zenspider/ruby-2.7'</li> <li>Additional commits viewable in <a href="https://github.com/flori/json/compare/v2.2.0...v2.3.0">compare view</a></li> </ul> </details> <br />

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
  • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
  • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
  • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
  • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language

You can disable automated security fix PRs for this repo from the Security Alerts page.

</details>

+1 -1

0 comment

1 changed file

pr created time in 2 months

PR opened nevesnunes/blog

Bump rubyzip from 1.2.3 to 2.3.0

Bumps rubyzip from 1.2.3 to 2.3.0. <details> <summary>Release notes</summary> <p><em>Sourced from <a href="https://github.com/rubyzip/rubyzip/releases">rubyzip's releases</a>.</em></p> <blockquote> <h2>v2.3.0</h2> <ul> <li>Fix frozen string literal error <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/431">#431</a></li> <li>Set <code>OutputStream.write_buffer</code>'s buffer to binmode <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/439">#439</a></li> <li>Upgrade rubocop and fix various linting complaints <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/437">#437</a> <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/440">#440</a></li> </ul> <p>Tooling:</p> <ul> <li>Add a <code>bin/console</code> script for development <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/420">#420</a></li> <li>Update rake requirement (development dependency only) to fix a security alert.</li> </ul> <h2>v2.2.0</h2> <ul> <li>Add support for decompression plugin gems <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/427">#427</a></li> </ul> <h2>v2.1.0</h2> <ul> <li>Fix (at least partially) the <code>restore_times</code> and <code>restore_permissions</code> options to <code>Zip::File.new</code> <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/413">#413</a> <ul> <li>Previously, neither option did anything, regardless of what it was set to. We have therefore defaulted them to <code>false</code> to preserve the current behavior, for the time being. If you have explicitly set either to <code>true</code>, it will now have an effect.</li> <li>Fix handling of UniversalTime (<code>mtime</code>, <code>atime</code>, <code>ctime</code>) fields. <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/421">#421</a></li> <li>Previously, <code>Zip::File</code> did not pass the options to <code>Zip::Entry</code> in some cases. <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/423">#423</a></li> <li>Note that <code>restore_times</code> in this release does nothing on Windows and only restores <code>mtime</code>, not <code>atime</code> or <code>ctime</code>.</li> </ul> </li> <li>Allow <code>Zip::File.open</code> to take an options hash like <code>Zip::File.new</code> <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/418">#418</a></li> <li>Always print warnings with <code>warn</code>, instead of a mix of <code>puts</code> and <code>warn</code> <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/416">#416</a></li> <li>Create temporary files in the system temporary directory instead of the directory of the zip file <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/411">#411</a></li> <li>Drop unused <code>tmpdir</code> requirement <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/411">#411</a></li> </ul> <p>Tooling</p> <ul> <li>Move CI to xenial and include jruby on JDK11 <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/419/files">#419</a></li> </ul> <h2>v2.0.0</h2> <p>Security</p> <ul> <li>Default the <code>validate_entry_sizes</code> option to <code>true</code>, so that callers can trust an entry's reported size when using <code>extract</code> <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/403">#403</a> <ul> <li>This option defaulted to <code>false</code> in 1.3.0 for backward compatibility, but it now defaults to <code>true</code>. If you are using an older version of ruby and can't yet upgrade to 2.x, you can still use 1.3.0 and set the option to <code>true</code>.</li> </ul> </li> </ul> <p>Tooling / Documentation</p> <ul> <li>Remove test files from the gem to avoid problems with antivirus detections on the test files <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/405">#405</a> / <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/issues/384">#384</a></li> <li>Drop support for unsupported ruby versions <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/406">#406</a></li> </ul> <h2>v1.3.0</h2> <p>Security</p> <ul> <li>Add <code>validate_entry_sizes</code> option so that callers can trust an entry's reported size when using <code>extract</code> <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/403">#403</a> <ul> <li>This option defaults to <code>false</code> for backward compatibility in this release, but you are strongly encouraged to set it to <code>true</code>. It will default to <code>true</code> in rubyzip 2.0.</li> </ul> </li> </ul> <p>New Feature</p> <ul> <li>Add <code>add_stored</code> method to simplify adding entries without compression <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/366">#366</a></li> </ul> <p>Tooling / Documentation</p> <!-- raw HTML omitted --> </blockquote> <p>... (truncated)</p> </details> <details> <summary>Changelog</summary> <p><em>Sourced from <a href="https://github.com/rubyzip/rubyzip/blob/master/Changelog.md">rubyzip's changelog</a>.</em></p> <blockquote> <h1>2.3.0 (2020-03-14)</h1> <ul> <li>Fix frozen string literal error <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/431">#431</a></li> <li>Set <code>OutputStream.write_buffer</code>'s buffer to binmode <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/439">#439</a></li> <li>Upgrade rubocop and fix various linting complaints <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/437">#437</a> <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/440">#440</a></li> </ul> <p>Tooling:</p> <ul> <li>Add a <code>bin/console</code> script for development <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/420">#420</a></li> <li>Update rake requirement (development dependency only) to fix a security alert.</li> </ul> <h1>2.2.0 (2020-02-01)</h1> <ul> <li>Add support for decompression plugin gems <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/427">#427</a></li> </ul> <h1>2.1.0 (2020-01-25)</h1> <ul> <li>Fix (at least partially) the <code>restore_times</code> and <code>restore_permissions</code> options to <code>Zip::File.new</code> <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/413">#413</a> <ul> <li>Previously, neither option did anything, regardless of what it was set to. We have therefore defaulted them to <code>false</code> to preserve the current behavior, for the time being. If you have explicitly set either to <code>true</code>, it will now have an effect.</li> <li>Fix handling of UniversalTime (<code>mtime</code>, <code>atime</code>, <code>ctime</code>) fields. <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/421">#421</a></li> <li>Previously, <code>Zip::File</code> did not pass the options to <code>Zip::Entry</code> in some cases. <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/423">#423</a></li> <li>Note that <code>restore_times</code> in this release does nothing on Windows and only restores <code>mtime</code>, not <code>atime</code> or <code>ctime</code>.</li> </ul> </li> <li>Allow <code>Zip::File.open</code> to take an options hash like <code>Zip::File.new</code> <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/418">#418</a></li> <li>Always print warnings with <code>warn</code>, instead of a mix of <code>puts</code> and <code>warn</code> <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/416">#416</a></li> <li>Create temporary files in the system temporary directory instead of the directory of the zip file <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/411">#411</a></li> <li>Drop unused <code>tmpdir</code> requirement <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/411">#411</a></li> </ul> <p>Tooling</p> <ul> <li>Move CI to xenial and include jruby on JDK11 <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/419/files">#419</a></li> </ul> <h1>2.0.0 (2019-09-25)</h1> <p>Security</p> <ul> <li>Default the <code>validate_entry_sizes</code> option to <code>true</code>, so that callers can trust an entry's reported size when using <code>extract</code> <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/403">#403</a> <ul> <li>This option defaulted to <code>false</code> in 1.3.0 for backward compatibility, but it now defaults to <code>true</code>. If you are using an older version of ruby and can't yet upgrade to 2.x, you can still use 1.3.0 and set the option to <code>true</code>.</li> </ul> </li> </ul> <p>Tooling / Documentation</p> <ul> <li>Remove test files from the gem to avoid problems with antivirus detections on the test files <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/405">#405</a> / <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/issues/384">#384</a></li> <li>Drop support for unsupported ruby versions <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/406">#406</a></li> </ul> <h1>1.3.0 (2019-09-25)</h1> <p>Security</p> <ul> <li>Add <code>validate_entry_sizes</code> option so that callers can trust an entry's reported size when using <code>extract</code> <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/pull/403">#403</a> <ul> <li>This option defaults to <code>false</code> for backward compatibility in this release, but you are strongly encouraged to set it to <code>true</code>. It will default to <code>true</code> in rubyzip 2.0.</li> </ul> </li> </ul> <!-- raw HTML omitted --> </blockquote> <p>... (truncated)</p> </details> <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/rubyzip/rubyzip/commit/3bc55a5d9880827ddca76de41004b5a82eb7642e"><code>3bc55a5</code></a> Merge pull request <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/issues/443">#443</a> from rubyzip/v2-3-0</li> <li><a href="https://github.com/rubyzip/rubyzip/commit/69186f65cdaa69a46e32ab81661376d648f61566"><code>69186f6</code></a> Bump version to 2.3.0</li> <li><a href="https://github.com/rubyzip/rubyzip/commit/516941bec56fbceaed8e75887247b74b97cbf341"><code>516941b</code></a> Update changelog for <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/issues/439">#439</a> and <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/issues/440">#440</a></li> <li><a href="https://github.com/rubyzip/rubyzip/commit/a64a14767dd458f8da6107721a428aa5e2b3f5c9"><code>a64a147</code></a> Bump rake version (development dependency)</li> <li><a href="https://github.com/rubyzip/rubyzip/commit/4c789c28212f38216a88982ce52f0992b1853805"><code>4c789c2</code></a> Remove unused constant from <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/issues/439">#439</a></li> <li><a href="https://github.com/rubyzip/rubyzip/commit/fabacf16333eb74a98f0cfa9b5a39e8d5b129304"><code>fabacf1</code></a> Merge pull request <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/issues/440">#440</a> from hainesr/rubocop-names</li> <li><a href="https://github.com/rubyzip/rubyzip/commit/b231b289987a595171aceedb941450e8620cf314"><code>b231b28</code></a> Merge pull request <a href="https://github-redirect.dependabot.com/rubyzip/rubyzip/issues/439">#439</a> from henkeinfo/binary-outstream-buffer</li> <li><a href="https://github.com/rubyzip/rubyzip/commit/66324a711cc7311b9e022bfc0badcbbaebc7308e"><code>66324a7</code></a> Remove duplicate binmode call</li> <li><a href="https://github.com/rubyzip/rubyzip/commit/e33c07a6e757eed653b56b045b8a0ecff40c1533"><code>e33c07a</code></a> Use existing constant for ASCII_8BIT</li> <li><a href="https://github.com/rubyzip/rubyzip/commit/ce17c57e2d0d0f8c61c535a7045cbe7c0fc44a4c"><code>ce17c57</code></a> Fix Naming/AccessorMethodName in the tests.</li> <li>Additional commits viewable in <a href="https://github.com/rubyzip/rubyzip/compare/v1.2.3...v2.3.0">compare view</a></li> </ul> </details> <br />

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
  • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
  • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
  • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
  • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language

You can disable automated security fix PRs for this repo from the Security Alerts page.

</details>

+1 -1

0 comment

1 changed file

pr created time in 2 months

create barnchnevesnunes/blog

branch : dependabot/bundler/json-2.3.0

created branch time in 2 months

create barnchnevesnunes/blog

branch : dependabot/bundler/rubyzip-2.3.0

created branch time in 2 months

startednevesnunes/sh-manpage-completions

started time in 2 months

more